
CoCoA-5 - Design #474

Eliminate package BinRepr

14 Mar 2014 20:16 - John Abbott

Status: In Progress Start date: 14 Mar 2014

Priority: Urgent Due date:  

Assignee: Anna Maria Bigatti % Done: 50%

Category: Cleaning Estimated time: 0.00 hour

Target version: CoCoA-5.4.2 Spent time: 0.75 hour

Description

Implement in CoCoALib the fns in package BinRepr; some of this has already been done.

Then eliminate the package.

Related issues:

Related to CoCoALib - Feature #17: implement "binomial" (coefficient) for Rin... Closed 28 Oct 2011

Related to CoCoALib - Feature #354: New function BinRepr (was BinExp, also kn... Closed 23 May 2013

History

#1 - 02 Apr 2014 17:34 - Anna Maria Bigatti

- Target version set to CoCoA-5.1.0 Easter14

#2 - 04 Apr 2014 15:29 - John Abbott

- Target version changed from CoCoA-5.1.0 Easter14 to CoCoA-5.?.?

#3 - 03 Apr 2019 17:11 - John Abbott

- Status changed from New to In Progress

- Priority changed from Normal to High

- Target version changed from CoCoA-5.?.? to CoCoA-5.3.0

- % Done changed from 0 to 10

What is the status of this issue?

The package still exists, and there is a BinRepr builtin function.

Can we delete the package and close?

#4 - 01 Oct 2019 14:20 - John Abbott

- Priority changed from High to Urgent

- Target version changed from CoCoA-5.3.0 to CoCoA-5.4.0

#5 - 16 Oct 2019 22:23 - John Abbott

- Assignee set to Anna Maria Bigatti

- Target version changed from CoCoA-5.4.0 to CoCoA-5.3.0

This issue has been lingering for years.  Now it is marked as urgent (so moving it back to target 5.3.0).

Anna needs to decide this: she write the original package.  The doc is no longer clear; CoCoA-5 now has built-in functions for BinomialRepr and 

BinomialReprShift.  Is there anything left to do?

#6 - 13 Feb 2020 16:08 - John Abbott
- Target version changed from CoCoA-5.3.0 to CoCoA-5.4.0

Not necessary for this release.  The remaining fns should be ported to C++; then we can elim the package.

#7 - 18 Feb 2021 22:03 - John Abbott

It looks to me as though this could easily be converted into C++ (in CoCoALib).

Perhaps just an afternoon suffices... Anna, could you do this before too long?

#8 - 05 Nov 2021 16:17 - Anna Maria Bigatti

- % Done changed from 10 to 50

Anna: compare the function in CoCoALib and remove or simplify the package, at least Aux_BinExp should be deleted.

#9 - 03 Feb 2022 19:47 - John Abbott

- Target version changed from CoCoA-5.4.0 to CoCoA-5.4.2

Postponing once again.... we must eventually actually do this!
